Index: /anuga_work/production/hobart_2006/report/computational_setup.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/computational_setup.tex	(revision 3975)
+++ /anuga_work/production/hobart_2006/report/computational_setup.tex	(revision 3976)
@@ -35,8 +35,11 @@
 \begin{figure}[hbt]
 
-  %\centerline{ \includegraphics[scale=0.15]{../report_figures/hobart_resolution_zones.jpg}}
+  \centerline{ \includegraphics[scale=0.15]{../report_figures/refined_model.jpg}}
 
   \caption{Study area for the Hobart scenario highlighting four regions of increased refinement.
-Region 1: Surrounds the coastal region with a cell area of 2500 m$^2$ (lateral accuracy 70 m).
+  The Bruny, Site 13 and Kingston regions surrounds a paleo site identified in Chris Sharples report. 
+  The cell area in these regions are 500 m$^2$ (lateral accuracy 70 m).
+Region 4: Surrounds the coastal region with a cell area of 2500 m$^2$ (lateral accuracy 70 m).
+The remaining parts of the model have a resolution of m$^2$ (lateral accuracy  m).
 }
   \label{fig:hobart_area}
Index: /anuga_work/production/hobart_2006/report/interpretation.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/interpretation.tex	(revision 3975)
+++ /anuga_work/production/hobart_2006/report/interpretation.tex	(revision 3976)
@@ -3,5 +3,5 @@
 We have
 chosen a number of locations to illustrate the features
-of the tsunami as it approaches and impact South East Tasmania.
+of the tsunami as it approaches and impacts South East Tasmania.
 These locations align with those in the paleotsunami report.
 These locations
@@ -13,14 +13,5 @@
 generated at the beginning of the simulation, i.e. time = 0 minutes.
 Stage is defined as the absolute
-water level (in metres) relative to AHD 
-\footnote{For an offshore location such as Beadon Bay West,
-the initial water level will be that of the tidal scenario. In the 
-case of MSL, this water level will be 0. As the tsunami wave moves
-through this point, the water height may grow and thus the stage will 
-represent the amplitude of the wave. For an onshore location such as the 
-Light Tower, the actual water depth will be the difference between
-the stage and the elevation at that point. Therefore, at the beginning
-of the simulation, there will be no water onshore and therefore
-the stage and the elevation will be identical.}. Both stage and speed 
+water level (in metres) relative to AHD. Both stage and speed 
 (in metres/second) for
 each scenario (Mw 8.7 and Mw 8.5) are shown
@@ -63,66 +54,7 @@
 by a large drawdown and then a large secondary wave. 
 
-These 
-features are illustrated in Figure \ref{fig:gaugeBeadonBayeast}
-where a small wave can be seen at around 200 mins. For the HAT
-case (shown in blue), the amplitude
-of the wave at this location is around 0.8 m\footnote{In this
-scenario, the initial water level is 1.5 m, which means that
-the actual amplitude is the difference between the stage value
-and the initial water level; 2.3 - 1.5}.
-The drawdown of around 4.3 m (i.e. 2.3 - -2) then occurs at around 230 mins
-(i.e. 3.8 hours after the event has been generated), before
-the second wave arrives 
-with an amplitude of around 3.6 m (i.e. 4.1 - 1.5). A further wave
-is then evident a short time later (around 255 mins) 
-which further increases the amplitude to around 5 m (i.e. 6.6 - 1.5).
-These features are replicated at each of the offshore points (those
-points with negative elevation as shown in Table \ref{table:locations}).
+The bathymetry and geography of the region has played a role in 
+directing or attentuating the tsunami wave. The tsunami wave is 
+travelling from the south west of the area. The wave is seen to attentuate as it 
+travels towards the Derwent River.
 
-The wave amplitude is typically greater
-for those locations which are in the shallowest water. For example,
-the maximum wave amplitude at the Beadon Bay East location 
-(Figure \ref{fig:gaugeBeadonBayeast}) is over
-4.5m where the water depth would normally be 3.56 m. In the 
-Beadon Bay West location (Figure \ref{fig:gaugeBeadonBaywest})
-where the water depth would normally be 4.62 m, 
-the maximum wave amplitude is much less (around 3 m). The wave amplitude
-at the West of Groyne location (Figure \ref{fig:gaugeWestofGroyne})
-is not greater than that seen
-at the Beadon Bay East location, even though the water depth is 
-much less, at 2.11m. This is probably due to its proximity
-to the groyne\footnote{A groyne is a man made structure to combat
-coastal erosion.}
-which has impeded the tsunami wave to some degree. However, the 
-maximum speed found amongst the locations is at the West of Groyne
-point which is in the shallowest water.
-
-The speed of the tsunami sharply increases as it moves onshore. There
-is minimal inundation found at the locations chosen, with the Bindi Bindi
-community receiving the greatest inundation for all tidal scenarios.
-At HAT, the community would receive over 1 m of inundation with 
-the water moving through the community at approximately 16 m/s. Referring
-to Table \ref{table:speedexamples}, a person in this location could
-not outrun this water movement. A small amount of water is found
-at the hospital (10 cm). Whilst this seems minimal, the water is moving 
-at around 6 m/s which could dislodge some items if the water was able to enter the hospital.
- 
-The geography of the Onslow area has played a role in offering
-some protection to the Onslow community. The tsunami wave is 
-travelling from the north west of the area. Most of
-the inundation along the coast is that which is open to this
-direction.  
-The sand dunes west of Onslow 
-appear to have halted this tsunami wave
-(see Figure \ref{fig:MSL_max_inundation}) with limited
-inundation found on the town's side of the dunes.
-The inundation within the community has occurred due to the
-wave reflecting from the beach area west of the creek and
-returning towards the Onslow town itself.  
-There are also sand dunes east of the creek which have also
-halted inundation beyond them. 
-Currently, we do not model changes 
-to the bathymetry or topography due to effects of the water flow. 
-Therefore, we do not know whether these sand dunes would withstand the
-transmitted energy of the tsunami wave. 
-
Index: /anuga_work/production/hobart_2006/report/mw87_map.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/mw87_map.tex	(revision 3975)
+++ /anuga_work/production/hobart_2006/report/mw87_map.tex	(revision 3976)
@@ -1,6 +1,13 @@
 \begin{sidewaysfigure}
-%\centerline{ \includegraphics[width=\paperwidth]{../report_figures/mw87.jpg}} 
-\caption{Maximum inundation map for the Mw 8.7 scenario for South East Tasmania. 
+\centerline{ \includegraphics[width=\paperwidth]{../report_figures/site13refined.jpg}} 
+\caption{Maximum inundation map for the Mw 8.7 scenario for Site 13. 
 Data: TAS DPIW, UTAS and Hobart Port Authority and AHO.}  
-\label{fig:mw87_max_inundation}
+\label{fig:site13maxinundation}
 \end{sidewaysfigure}
+
+\begin{sidewaysfigure}
+\centerline{ \includegraphics[width=\paperwidth]{../report_figures/kingston.jpg}} 
+\caption{Maximum inundation map for the Mw 8.7 scenario for Kingston. 
+Data: TAS DPIW, UTAS and Hobart Port Authority and AHO.}  
+\label{fig:kingstonmaxinundation}
+\end{sidewaysfigure}
Index: /anuga_work/production/hobart_2006/report/summary.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/summary.tex	(revision 3975)
+++ /anuga_work/production/hobart_2006/report/summary.tex	(revision 3976)
@@ -1,39 +1,9 @@
-This report has described the impact on Onslow from a tsunami
-generated by a Mw 9 earthquake on the Sunda Arc subduction zone 
-occurring at Highest Astronomical Tide, Lowest Astronomical Tide
-and Mean Sea Level. 
+This report has described the tsunami inundation to selected
+sites in South East Tasmania which have been 
+generated by a Mw 8.7 earthquake on the Puysegur Trecnh 
+occurring at Mean Sea Level. 
 As yet, there is no knowledge of the return period for this event. The
-modelling methodology, assumptions and data sources for the Onslow 
+modelling methodology, assumptions and data sources for the South East Tasmania 
 scenario have also been described. 
 
-As shown in Section \ref{sec:data}, it is imperative
-that the best available data is used to increase confidence
-in the inundation maps. 
-Given that the Highest Astronomical Tide contour
-line is further from the coast for the DTED data than the DLI data, we
-expect the inundation to extend further and thus be greater than
-that seen in Figure \ref{fig:MSL_max_inundation}. 
-The impact modelling
-will result in significantly inflated structural and contents loss figures as well as
-numbers of people affected.
-These results strongly point to the need for the best 
-available data so that more accurate predictions regarding the 
-inundation can be made.
-An onshore grid resolution of the order
-of tens of metres is required, however, it is more important that the data
-are accurate (or at least well known).
 
-These scenarios will be revisited once the probabilistic models
-are complete so that a suite of tsunami impact assessments can be made.
-Future activities to support the impact studies on the North West Shelf
-include:
-
-\begin{itemize}
-\item Sourcing of data sets,
-\item Investigation of solution sensitivity to cell resolution,
-bathymetry and tsunami source uncertainties,
-\item Location of boundary for simulation study area, and
-\item Investigation of friction coefficients.
-\end{itemize}
-
-