Index: /anuga_core/documentation/user_manual/anuga_user_manual.tex
===================================================================
--- /anuga_core/documentation/user_manual/anuga_user_manual.tex	(revision 3979)
+++ /anuga_core/documentation/user_manual/anuga_user_manual.tex	(revision 3980)
@@ -300,6 +300,5 @@
 significance.
 
-\verbatiminput{examples/runup.py}
-%\verbatiminput{examples/bedslope.py}
+\verbatiminput{demos/runup.py}
 
 \subsection{Establishing the Mesh}\index{mesh, establishing}
@@ -644,5 +643,5 @@
 
   \centerline{\includegraphics[width=75mm, height=75mm]
-    {examples/bedslopestart.jpg}}
+    {graphics/bedslopestart.jpg}}
 
   \caption{Runup example viewed with Swollen}
@@ -654,6 +653,6 @@
 
   \centerline{
-   \includegraphics[width=75mm, height=75mm]{examples/bedslopeduring.jpg}
-    \includegraphics[width=75mm, height=75mm]{examples/bedslopeend.jpg}
+   \includegraphics[width=75mm, height=75mm]{graphics/bedslopeduring.jpg}
+    \includegraphics[width=75mm, height=75mm]{graphics/bedslopeend.jpg}
    }
 
@@ -749,5 +748,5 @@
 \begin{figure}[hbt]
   \centerline{\includegraphics[height=75mm]
-    {examples/channel1.png}}%
+    {graphics/channel1.png}}%
 
   \caption{Simple channel example viewed with Swollen}
@@ -841,5 +840,5 @@
 
   \centerline{\includegraphics[height=75mm]
-    {examples/channel3.png}}
+    {graphics/channel3.png}}
 
   \caption{More complex flow in a channel}
@@ -978,5 +977,5 @@
 
 \begin{figure}[hbt]
-\centerline{\includegraphics[scale=0.5]{../../demos/cairns3.jpg}}
+\centerline{\includegraphics[scale=0.5]{graphics/cairns3.jpg}}
 \caption{Landscape of the Cairns scenario.}
 \label{fig:cairns3d}
@@ -1005,5 +1004,5 @@
 
   \centerline{\includegraphics[scale=0.5]
-      {../../demos/cairnsmodel.jpg}}
+      {graphics/cairnsmodel.jpg}}
   \caption{Interior and bounding polygons for the Cairns example.}
   \label{fig:cairnspolys}
Index: /anuga_core/documentation/user_manual/demos/runup.py
===================================================================
--- /anuga_core/documentation/user_manual/demos/runup.py	(revision 3980)
+++ /anuga_core/documentation/user_manual/demos/runup.py	(revision 3980)
@@ -0,0 +1,70 @@
+"""Simple water flow example using ANUGA
+
+Water driven up a linear slope and time varying boundary,
+similar to a beach environment
+"""
+
+
+#------------------------------------------------------------------------------
+# Import necessary modules
+#------------------------------------------------------------------------------
+
+from anuga.abstract_2d_finite_volumes.mesh_factory import rectangular
+from anuga.shallow_water import Domain
+from anuga.shallow_water import Reflective_boundary
+from anuga.shallow_water import Dirichlet_boundary
+from anuga.shallow_water import Time_boundary
+from anuga.shallow_water import Transmissive_boundary
+
+
+#------------------------------------------------------------------------------
+# Setup computational domain
+#------------------------------------------------------------------------------
+
+points, vertices, boundary = rectangular(10, 10) # Basic mesh
+
+domain = Domain(points, vertices, boundary) # Create domain
+domain.set_name('runup')                    # Output to bedslope.sww
+domain.set_datadir('.')                     # Use current directory for output
+#domain.set_quantities_to_be_stored(['stage',# Store all conserved quantities
+#                                    'xmomentum',
+#                                    'ymomentum'])   
+
+
+#------------------------------------------------------------------------------
+# Setup initial conditions
+#------------------------------------------------------------------------------
+
+def topography(x,y):
+    return -x/2                             # linear bed slope
+    #return x*(-(2.0-x)*.5)                  # curved bed slope
+
+domain.set_quantity('elevation', topography) # Use function for elevation
+domain.set_quantity('friction', 0.1)         # Constant friction 
+domain.set_quantity('stage', -.4)            # Constant negative initial stage
+
+
+#------------------------------------------------------------------------------
+# Setup boundary conditions
+#------------------------------------------------------------------------------
+
+from math import sin, pi, exp
+Br = Reflective_boundary(domain)      # Solid reflective wall
+Bt = Transmissive_boundary(domain)    # Continue all values on boundary 
+Bd = Dirichlet_boundary([-0.2,0.,0.]) # Constant boundary values
+Bw = Time_boundary(domain=domain,     # Time dependent boundary  
+                   f=lambda t: [(.1*sin(t*2*pi)-0.3) * exp(-t), 0.0, 0.0])
+
+# Associate boundary tags with boundary objects
+domain.set_boundary({'left': Br, 'right': Bw, 'top': Br, 'bottom': Br})
+
+
+#------------------------------------------------------------------------------
+# Evolve system through time
+#------------------------------------------------------------------------------
+
+for t in domain.evolve(yieldstep = 0.1, finaltime = 10.0):
+    domain.write_time()
+    
+
+
Index: uga_core/documentation/user_manual/examples/runup.py
===================================================================
--- /anuga_core/documentation/user_manual/examples/runup.py	(revision 3979)
+++ 	(revision )
@@ -1,70 +1,0 @@
-"""Simple water flow example using ANUGA
-
-Water driven up a linear slope and time varying boundary,
-similar to a beach environment
-"""
-
-
-#------------------------------------------------------------------------------
-# Import necessary modules
-#------------------------------------------------------------------------------
-
-from anuga.abstract_2d_finite_volumes.mesh_factory import rectangular
-from anuga.shallow_water import Domain
-from anuga.shallow_water import Reflective_boundary
-from anuga.shallow_water import Dirichlet_boundary
-from anuga.shallow_water import Time_boundary
-from anuga.shallow_water import Transmissive_boundary
-
-
-#------------------------------------------------------------------------------
-# Setup computational domain
-#------------------------------------------------------------------------------
-
-points, vertices, boundary = rectangular(10, 10) # Basic mesh
-
-domain = Domain(points, vertices, boundary) # Create domain
-domain.set_name('runup')                    # Output to bedslope.sww
-domain.set_datadir('.')                     # Use current directory for output
-#domain.set_quantities_to_be_stored(['stage',# Store all conserved quantities
-#                                    'xmomentum',
-#                                    'ymomentum'])   
-
-
-#------------------------------------------------------------------------------
-# Setup initial conditions
-#------------------------------------------------------------------------------
-
-def topography(x,y):
-    return -x/2                             # linear bed slope
-    #return x*(-(2.0-x)*.5)                  # curved bed slope
-
-domain.set_quantity('elevation', topography) # Use function for elevation
-domain.set_quantity('friction', 0.1)         # Constant friction 
-domain.set_quantity('stage', -.4)            # Constant negative initial stage
-
-
-#------------------------------------------------------------------------------
-# Setup boundary conditions
-#------------------------------------------------------------------------------
-
-from math import sin, pi, exp
-Br = Reflective_boundary(domain)      # Solid reflective wall
-Bt = Transmissive_boundary(domain)    # Continue all values on boundary 
-Bd = Dirichlet_boundary([-0.2,0.,0.]) # Constant boundary values
-Bw = Time_boundary(domain=domain,     # Time dependent boundary  
-                   f=lambda t: [(.1*sin(t*2*pi)-0.3) * exp(-t), 0.0, 0.0])
-
-# Associate boundary tags with boundary objects
-domain.set_boundary({'left': Br, 'right': Bw, 'top': Br, 'bottom': Br})
-
-
-#------------------------------------------------------------------------------
-# Evolve system through time
-#------------------------------------------------------------------------------
-
-for t in domain.evolve(yieldstep = 0.1, finaltime = 10.0):
-    domain.write_time()
-    
-
-