Index: /anuga_core/documentation/user_manual/anuga_user_manual.tex
===================================================================
--- /anuga_core/documentation/user_manual/anuga_user_manual.tex	(revision 3985)
+++ /anuga_core/documentation/user_manual/anuga_user_manual.tex	(revision 3986)
@@ -604,6 +604,7 @@
 
 The output is a NetCDF file with the extension \code{.sww}. It
-contains stage and momentum information and can be used with the
-\code{swollen} (see Section \ref{sec:swollen}) visualisation package
+contains stage and momentum information and can be used with the 
+ANUGA viewer \code{animate} (see Section \ref{sec:animate}) 
+visualisation package
 to generate a visual display. See Section \ref{sec:file formats}
 (page \pageref{sec:file formats}) for more on NetCDF and other file
@@ -632,11 +633,12 @@
 
 The following figures are screenshots from the \anuga visualisation
-tool \code{swollen}. Figure \ref{fig:runupstart} shows the domain
+tool \code{animate}. Figure \ref{fig:runupstart} shows the domain
 with water surface as specified by the initial condition, $t=0$.
 Figure \ref{fig:runup2} shows later snapshots for $t=2.3$ and
 $t=4$ where the system has been evolved and the wave is encroaching
 on the previously dry bed.  All figures are screenshots from an
-interactive animation tool called Swollen which is part of \anuga.
-Swollen is described in more detail is Section \ref{sec:swollen}.
+interactive animation tool called animate which is part of \anuga and
+distributed as in the package anuga\_viewer.
+Animate is described in more detail is Section \ref{sec:animate}.
 
 \begin{figure}[hbt]
@@ -645,5 +647,5 @@
     {graphics/bedslopestart.jpg}}
 
-  \caption{Runup example viewed with Swollen}
+  \caption{Runup example viewed with the ANUGA viewer}
   \label{fig:runupstart}
 \end{figure}
@@ -657,5 +659,5 @@
    }
 
-  \caption{Runup example viewed with Swollen}
+  \caption{Runup example viewed with ANGUA viewer}
   \label{fig:runup2}
 \end{figure}
@@ -745,10 +747,10 @@
 
 The following figure is a screenshot from the \anuga visualisation
-tool \code{swollen} of output from this example.
+tool \code{animate} of output from this example.
 \begin{figure}[hbt]
   \centerline{\includegraphics[height=75mm]
     {graphics/channel1.png}}%
 
-  \caption{Simple channel example viewed with Swollen}
+  \caption{Simple channel example viewed with the ANUGA viewer.}
   \label{fig:channel1}
 \end{figure}
@@ -2133,5 +2135,5 @@
 
 TSH $\rightarrow$ SWW & Convert TSH to \code{.sww}-viewable using
-Swollen\\
+\code{animate}\\
 
 TSH + Boundary SWW $\rightarrow$ SWW & Simulation using
@@ -2167,9 +2169,9 @@
 
 
-The contents of an SWW file may be viewed using the visualisation
-tool \code{swollen}, which creates an on-screen geometric
-representation. See section \ref{sec:swollen} (page
-\pageref{sec:swollen}) in Appendix \ref{ch:supportingtools} for more
-on \code{swollen}.
+The contents of an SWW file may be viewed using the anuga viewer 
+\code{animate}, which creates an on-screen geometric
+representation. See section \ref{sec:animate} (page
+\pageref{sec:animate}) in Appendix \ref{ch:supportingtools} for more
+on \code{animate}.
 
 Alternatively, there are tools, such as \code{ncdump}, that allow
@@ -2453,16 +2455,16 @@
 
 
-\section{swollen}
-\label{sec:swollen}
+\section{ANUGA viewer - animate}
+\label{sec:animate}
  The output generated by \anuga may be viewed by
-means of the visualisation tool \code{swollen}, which takes the
+means of the visualisation tool \code{animate}, which takes the
 \code{SWW} file output by \anuga and creates a visual representation
 of the data. Examples may be seen in Figures \ref{fig:runupstart}
 and \ref{fig:runup2}. To view an \code{SWW} file with
-\code{swollen} in the Windows environment, you can simply drag the
+\code{animate} in the Windows environment, you can simply drag the
 icon representing the file over an icon on the desktop for the
-\code{swollen} executable file (or a shortcut to it), or set up a
+\code{animate} executable file (or a shortcut to it), or set up a
 file association to make files with the extension \code{.sww} open
-with \code{swollen}. Alternatively, you can operate \code{swollen}
+with \code{animate}. Alternatively, you can operate \code{animate}
 from the command line, in both Windows and Linux environments.
 
@@ -2498,7 +2500,7 @@
 \vfill
 
-The following table describes how to operate swollen from the command line:
-
-Usage: \code{swollen [options] swwfile \ldots}\\  \nopagebreak
+The following table describes how to operate animate from the command line:
+
+Usage: \code{animate [options] swwfile \ldots}\\  \nopagebreak
 Options:\\  \nopagebreak
 \begin{tabular}{ll}
@@ -3130,4 +3132,6 @@
 
     \indexedbold{NetCDF} & &\\
+    
+    \indexedbold{node} & A point at which edges meet & \\    
 
     \indexedbold{northing} & A rectangular (x,y) coordinate measurement of distance
@@ -3164,5 +3168,6 @@
 %    \indexedbold{try this}
 
-    \indexedbold{swollen} & visualisation tool used with \anuga & \pageref{sec:swollen}\\
+    \indexedbold{animate} & visualisation tool used with \anuga & 
+    \pageref{sec:animate}\\
 
     \indexedbold{time boundary} & Returns values for the conserved