Index: /anuga_work/production/dampier_2006/make_report_cipma.py
===================================================================
--- /anuga_work/production/dampier_2006/make_report_cipma.py	(revision 3998)
+++ /anuga_work/production/dampier_2006/make_report_cipma.py	(revision 3999)
@@ -84,6 +84,8 @@
 max_maps = {'Mw 9.0': 'mw9_map'}
 
-gauge_map = 'dampier_gauges.jpg'
-gauge_filename = 'test.xya'
+gauge_map1 = 'dampier_gauges_1.jpg'
+gauge_map2 = 'dampier_gauges_2.jpg'
+gauge_map3 = 'dampier_gauges_3.jpg'
+
 # Create sections and graphs for each designated production directory
 latex_output = []
@@ -214,8 +216,8 @@
     \input{data}
     
-   \section{Inundation model}
-    \label{sec:anuga}
-    \input{anuga}
-    \input{computational_setup}
+   %\section{Inundation model}
+   % \label{sec:anuga}
+   % \input{anuga}
+   % \input{computational_setup}
         
   \section{Inundation modelling results}
@@ -248,13 +250,20 @@
 ##fid.write(s)
 ##
-s = '\\begin{figure}[hbt] \n \centerline{ \includegraphics[width=\paperwidth]{../report_figures/%s}}' %gauge_map
-fid.write(s)
-
-#s  = """
-#\caption{Point locations used for Dampier study.}  
-#\label{fig:points}
-#\end{figure}
-#"""
-#fid.write(s)
+s = '\\begin{figure}[hbt] \n \centerline{ \includegraphics[width=\paperwidth]{../report_figures/%s}}' %gauge_map1
+fid.write(s)
+
+s = '\n \centerline{ \includegraphics[width=\paperwidth]{../report_figures/%s}}' %gauge_map2
+fid.write(s)
+
+s = '\n \centerline{ \includegraphics[width=\paperwidth]{../report_figures/%s}}' %gauge_map3
+fid.write(s)
+
+
+s  = """
+\caption{Point locations used for Dampier study.}  
+\label{fig:points}
+\end{figure}
+"""
+fid.write(s)
     
 #s = '\input{interpretation} \n'
@@ -287,4 +296,8 @@
      \label{sec:metadata}
      \input{metadata}
+     
+\section{ANUGA modelling parameters}
+\label{sec:anugasetup}
+\input{anuga_setup}
 
 \clearpage
Index: /anuga_work/production/dampier_2006/project.py
===================================================================
--- /anuga_work/production/dampier_2006/project.py	(revision 3998)
+++ /anuga_work/production/dampier_2006/project.py	(revision 3999)
@@ -65,5 +65,6 @@
 combined_final_name ='dampier_combined_elevation_final'
 
-gauge_name = 'dampier_gauges_up2.csv'
+gauge_name = 'dampier_gauges.csv'
+#gauge_name = 'dampier_gauges_up2.csv' 
 
 #Derive subdirectories and filenames
@@ -97,5 +98,5 @@
 
 gauge_dir = home+sep+state+sep+scenario_datas_name+sep+'anuga'+sep+'gauges'+sep
-gauge_filename = gauge_dir + 'dampier_gauges_up2.csv'
+gauge_filename = gauge_dir + gauge_name
 
 gauges_dir_name = gauges_dir + gauge_name
Index: uga_work/production/dampier_2006/report/anuga.tex
===================================================================
--- /anuga_work/production/dampier_2006/report/anuga.tex	(revision 3998)
+++ 	(revision )
@@ -1,47 +1,0 @@
-The software tool, ANUGA \cite{ON:modsim}, has been used to estimate 
-the inundation extent
-and associated water level at various points in space and time.
-ANUGA has been developed by GA and the Australian National University
-(ANU) to solve the nonlinear shallow water
-wave equation using the finite volume technique\footnote{The finite volume
-technique belongs to the class of computational fluid dynamic (CFD)
-methods which is based on discretizing the study area in
-control ''volumes''. The method ensures that conservation
-of mass and horizontal momentum is satisfied for
-each control volume.
-An advantage of this technique is that the discretization
-can be changed
-according to areas of interest and that wetting and drying
-is treated robustly as part of the numerical scheme.}. 
-ANUGA is continually being refined and validated to ensure
-the modelling approximations are as accurate as possible.
-However, model sensitivity to errors in bathymetric data, 
-frictional resistance of the seafloor and the size of the tsunamigenic event are not well understood and the topic of ongoing research. 
-As such, the current results are preliminary.
-
-The following information is required to undertake the 
-inundation modelling;
-
-\begin{itemize}
-\item onshore and offshore elevation data (topographic and bathymetric data, 
-see Section \ref{sec:data}),
-\item initial conditions, such as initial water levels (e.g. determined by tides),
-\item boundary conditions (the tsunami source as described in 
-Section \ref{sec:methodology}), and
-\item computational requirements relating to the mesh construction.
-\end{itemize}
- 
-Here, we choose HAT as the only initial condition for this study 
-as we expect a greater impact to occur. Hat is
-defined in Section \ref{sec:data}.
-The dynamics of
-tidal effects (that is, the changes in water height over time for
-the entire study area) are not currently modelled.
-Sea floor friction will generally provide resistance to the water flow
-and thus reduce the impact somewhat. However, limited
-research has been carried out to determine 
-the friction coefficients, and 
-thus it has not been incorporated
-in the scenario. The 
-results are therefore likely to be over estimates.
-
Index: /anuga_work/production/dampier_2006/report/anuga_setup.tex
===================================================================
--- /anuga_work/production/dampier_2006/report/anuga_setup.tex	(revision 3999)
+++ /anuga_work/production/dampier_2006/report/anuga_setup.tex	(revision 3999)
@@ -0,0 +1,92 @@
+The following information is required to undertake the 
+inundation modelling;
+
+\begin{itemize}
+\item onshore and offshore elevation data (topographic and bathymetric data, 
+see Section \ref{sec:data}),
+\item initial conditions, such as initial water levels (e.g. determined by tides),
+\item boundary conditions (the tsunami source as described in 
+Section \ref{sec:methodology}), and
+\item computational requirements relating to the mesh construction.
+\end{itemize}
+ 
+Here, we choose HAT as the only initial condition for this study 
+as we expect a greater impact to occur. HAT is
+defined in Section \ref{sec:data}.
+The dynamics of
+tidal effects (that is, the changes in water height over time for
+the entire study area) are not currently modelled.
+
+To set up a model for the tsunami scenario, a study area is first 
+determined. Here, we define the study area to cover around km of coastline
+and extending offshore to around the 70m depth contour. Onshore data covers the
+area of interest to CIPMA. The study area is around 6250 km$^2$.
+
+The finite volume technique relies on the construction of a triangular mesh which covers the study region. 
+This mesh can be altered to suit the needs of the scenario in question. The mesh can be refined in areas of 
+interest, particularly in the coastal region where complex behaviour is likely to occur. For the purpose
+of this study for CIPMA, we will refine the mesh around the major onshore gas facility and the gas pipelines.
+In setting up the model, the user defines the area of the triangular cells in each region of interest\footnote{Note that the cell 
+area will be the maximum cell area within the defined region and that each 
+cell in the region does not necessarily have the same area.}.
+The cell areas should not be too small as this will cause unrealisticly long computational time, 
+and not too great as this may inadequately capture important behaviour. 
+%There are no gains in choosing the area to be less than the supporting data.
+Figure \ref{fig:dampier_area} shows the study area with regions of difference cell areas. The total number
+of cells is 177 000. 
+Lateral accuracy refers to the distance at which we are confident in stating a region is inundated. 
+Figure \ref{fig:dampier_area} shows the maximum triangular cell area and lateral accuracy for each region. 
+Therefore we can only be confident in the calculated inundation extent surrounding the onshore
+gas infrastructure to within 30 m.
+
+
+\begin{figure}[hbt]
+
+  \centerline{ \includegraphics[scale=0.15]{../report_figures/dampier_model.jpg}}
+
+  \caption{Study area for Dampier scenario highlighting four regions of increased refinement.
+Region 1: Surrounds onshore gas infrastructure at Dampier with a cell area of 500 m$^2$ (lateral accuracy 30 m).
+Region 2: Surrounds the gas pipelines with a cell area of 2000 m$^2$ (lateral accuracy 100 m).
+Region 3: Surrounds the coastal regions with a cell area of 10000 m$^2$ (lateral accuracy  m).
+Region 4: The remaining area is given a cell area of 100000 m$^2$ (lateral accuracy 450 m).
+}
+  \label{fig:dampier_area}
+\end{figure}
+
+
+The final item to be addressed to complete the model setup is the 
+definition of the boundary condition. As 
+discussed in Section \ref{sec:methodology}, a Mw 9 event provides
+the tsunami source. The resultant tsunami wave is made up of a series
+of waves with different amplitudes which is affected by the energy
+and style of the event as well as the bathymetry whilst it travels
+from its source to Dampier. The amplitude and velocity of each of these
+waves are then provided to ANUGA as boundary conditions and propagated
+inshore.
+
+Sea floor friction will generally provide resistance to the water flow
+and thus reduce the impact somewhat. However, limited
+research has been carried out to determine 
+the friction coefficients, and 
+thus it has not been incorporated
+in the scenario. The 
+results are therefore likely to be over estimates.
+
+The following table summarises the modelling parameters;
+
+
+\begin{table}
+\begin{center}
+\caption{Parameters used in ANUGA for the Dampier scenario.}
+\begin{tabular}{|l|l|l|}\hline
+Mesh & & \hline
+& resolution in Region 1 & 500 m$^2$ \hline
+& resolution in Region 2 & 2000 m$^2$ \hline
+& resolution in Region 3 & 2000 m$^2$ \hline
+& remaining resolution & 100 000 m$^2$ \hline
+Model parameters & & \hline
+& friction & 0
+& minimum stored height & 0.1 m \hline
+\end{tabular}
+\end{center}
+\end{table}
Index: uga_work/production/dampier_2006/report/computational_setup.tex
===================================================================
--- /anuga_work/production/dampier_2006/report/computational_setup.tex	(revision 3998)
+++ 	(revision )
@@ -1,45 +1,0 @@
-To set up a model for the tsunami scenario, a study area is first 
-determined. Here, we define the study area to cover around km of coastline
-and extending offshore to around the 70m depth contour. Onshore data covers the
-area of interest to CIPMA. The study area is around 6250 km$^2$.
-
-The finite volume technique relies on the construction of a triangular mesh which covers the study region. 
-This mesh can be altered to suit the needs of the scenario in question. The mesh can be refined in areas of 
-interest, particularly in the coastal region where complex behaviour is likely to occur. For the purpose
-of this study for CIPMA, we will refine the mesh around the major onshore gas facility and the gas pipelines.
-In setting up the model, the user defines the area of the triangular cells in each region of interest\footnote{Note that the cell 
-area will be the maximum cell area within the defined region and that each 
-cell in the region does not necessarily have the same area.}.
-The cell areas should not be too small as this will cause unrealisticly long computational time, 
-and not too great as this may inadequately capture important behaviour. 
-%There are no gains in choosing the area to be less than the supporting data.
-Figure \ref{fig:dampier_area} shows the study area with regions of difference cell areas. The total number
-of cells is . 
-Lateral accuracy refers to the distance at which we are confident in stating a region is inundated. 
-Figure \ref{fig:dampier_area} shows the maximum triangular cell area and lateral accuracy for each region. 
-Therefore we can only be confident in the calculated inundation extent surrounding the onshore
-gas infrastructure to within 30 m.
-
-
-\begin{figure}[hbt]
-
-  \centerline{ \includegraphics[scale=0.15]{../report_figures/dampier_model.jpg}}
-
-  \caption{Study area for Dampier scenario highlighting four regions of increased refinement.
-Region 1: Surrounds onshore gas infrastructure at Dampier with a cell area of 500 m$^2$ (lateral accuracy 30 m).
-Region 2: Surrounds the gas pipelines with a cell area of 5000 m$^2$ (lateral accuracy 100 m).
-Region 3: The remaining area is given a cell area of 100000 m$^2$ (lateral accuracy 450 m).
-}
-  \label{fig:dampier_area}
-\end{figure}
-
-
-The final item to be addressed to complete the model setup is the 
-definition of the boundary condition. As 
-discussed in Section \ref{sec:methodology}, a Mw 9 event provides
-the tsunami source. The resultant tsunami wave is made up of a series
-of waves with different amplitudes which is affected by the energy
-and style of the event as well as the bathymetry whilst it travels
-from its source to Dampier. The amplitude and velocity of each of these
-waves are then provided to ANUGA as boundary conditions and propagated
-inshore.
Index: /anuga_work/production/dampier_2006/report/dampier_2006_report_CIPMA.tex
===================================================================
--- /anuga_work/production/dampier_2006/report/dampier_2006_report_CIPMA.tex	(revision 3998)
+++ /anuga_work/production/dampier_2006/report/dampier_2006_report_CIPMA.tex	(revision 3999)
@@ -64,8 +64,8 @@
     \input{data}
     
-   \section{Inundation model}
-    \label{sec:anuga}
-    \input{anuga}
-    \input{computational_setup}
+   %\section{Inundation model}
+   % \label{sec:anuga}
+   % \input{anuga}
+   % \input{computational_setup}
         
   \section{Inundation modelling results}
@@ -73,5 +73,11 @@
          
 \begin{figure}[hbt] 
- \centerline{ \includegraphics[width=\paperwidth]{../report_figures/dampier_gauges.jpg}}\input{mw9_map} 
+ \centerline{ \includegraphics[width=\paperwidth]{../report_figures/dampier_gauges_1.jpg}}
+ \centerline{ \includegraphics[width=\paperwidth]{../report_figures/dampier_gauges_2.jpg}}
+ \centerline{ \includegraphics[width=\paperwidth]{../report_figures/dampier_gauges_3.jpg}}
+\caption{Point locations used for Dampier study.}  
+\label{fig:points}
+\end{figure}
+\input{mw9_map} 
  \clearpage 
  
@@ -92,4 +98,8 @@
      \label{sec:metadata}
      \input{metadata}
+     
+\section{ANUGA modelling parameters}
+\label{sec:anugasetup}
+\input{anuga_setup}
 
 \clearpage
Index: /anuga_work/production/dampier_2006/report/modelling_methodology.tex
===================================================================
--- /anuga_work/production/dampier_2006/report/modelling_methodology.tex	(revision 3998)
+++ /anuga_work/production/dampier_2006/report/modelling_methodology.tex	(revision 3999)
@@ -59,5 +59,6 @@
 modelling the event itself with the URS model and modelling the impact with ANUGA. 
 In this way, the output from URS serves as an input to ANUGA. 
-In modelling terms, the URS output is a boundary condition for ANUGA.
+In modelling terms, the URS output is a boundary condition for ANUGA. Further details
+regarding the modelling requirements for this study can be found in \ref{sec:anugasetup}.
 
 The event chosen for this study has been determined from the probabilistic