Index: /anuga_core/documentation/planning/priorities.tex
===================================================================
--- /anuga_core/documentation/planning/priorities.tex	(revision 4028)
+++ /anuga_core/documentation/planning/priorities.tex	(revision 4029)
@@ -56,27 +56,19 @@
 
 \begin{enumerate} 
-  \item Onslow, WA - end of June 06. This study mainly supports the
+  \item Onslow, WA - end of June 07. This study mainly supports the
     FESA funded WA study, but has synergies with projects in other
     lists as well (Nick)
-  \item Complete Sydney (Benfield) project (Jane). Refinements have
-    included addressing water loss through the form of the surface
-    elevation function, boundary conditions, friction creep and issues
-    with ill-conditioned system as a result of a complex internal
-    polygon. Whilst a protection has been put in place for friction
-    creep, the issue is still outstanding. Final results will be
-    delivered to Benfield by Fri 28 April noting the friction issue
-    is still outstanding.  This project has synergies with the ANUGA
-    Demo initiative (Everyone)
   \item Port Hedland - end of June 06. Also part of the WA project. (Nick)
-  \item Dampier revisited for CIPMA.
-  \item Broome
-  \item Perth
-  \item Busselton
-  \item Shark Bay using survey from 17th July 2006.
-  \item Xmas & Cocos islands tide gauge validation.
-  \item Rerun Wollongong with slump (pending better defition of slump sizes) (Nick, Adrian), 2-3 weeks
+  \item Dampier revisited for CIPMA - mid-November 2006
+  \item Broome - end of June 07
+  \item Perth - end of June 07
+  \item Busselton - end of June 07
+  \item Shark Bay using survey from 17th July 2006 - when time permits and data available.
+  \item Xmas & Cocos islands tide gauge validation - when time permits and data available..
+  \item Slide scenarios with data gained from the Continental Slope Survey; Wollongong, Sydney and Newcastle
   \item NSW state study  (deferred until 2007 - Matt)
   \item SE Qld study
-  \item Hobart (2007). Trevor Dhu has arranged for TAFI to provide bathymetric data to a 50m contour plus a 25m DEM. Apparently, even better DEM data is available. 
+  \item Hobart (Oct 2006). Trevor Dhu has arranged for DPIW to provide bathymetric data to a 50m contour plus a 25m DEM. 
+  Apparently, even better DEM data is available. 
   \item Other study areas may be identified when the national hazard map has been completed (expected
 within the next 12 months) and consultation has occurred with stakeholders.
@@ -90,5 +82,14 @@
 our assistance will certainly be required.
 
-
+\begin{enumerate}
+\item Complete Sydney (Benfield) project (Jane). Refinements have
+    included addressing water loss through the form of the surface
+    elevation function, boundary conditions, friction creep and issues
+    with ill-conditioned system as a result of a complex internal
+    polygon. Whilst a protection has been put in place for friction
+    creep, the issue is still outstanding. Final results will be
+    delivered to Benfield by Fri 28 April noting the friction issue
+    is still outstanding.
+\end{enumerate}
 
 \section*{Research topics}
@@ -137,5 +138,6 @@
     \item Comparison to tsunami study in NZ where Mike 21 is used for inundation. Contact: Rick Liefting, Coastal Scientist, Tonkin and Taylor Limited, www.tonkin.co.nz, Hamilton. Email: RLiefting@tonkin.co.nz    
   \end{itemize} 
-  \item Comparison of MOST and ANUGA over a stretch of deep water. Also, where to pick up boundary condition (Nick).
+  \item Comparison of MOST and ANUGA over a stretch of deep water (some work done for Hobart scenario - Jane). 
+  Also, where to pick up boundary condition (Nick).
   \item Momentum sink study (Duncan with Nick Dando)
   Report and talk by end of June 2006. Paper later.
@@ -150,5 +152,5 @@
         ($R = A^\frac{4}{5} h^ \frac{1}{5}$ where $A$ is the amplitude at some offshore location
          and $h$ is the depth at the same offshore location). Calculate the maximum elevation 
-         at which there is water. Need to confirm definition of run-up height.
+         at which there is water (completed 2006).
   \item Incorporate asteroid model (parabolic cavity) as an initial condition into ANUGA. 
         Compare calculated extent with the approximation of
@@ -159,5 +161,6 @@
   \item Investigate the topographic effect on water flow and the impact on hydrological hazard (as part of the CRA
         with NSW DNR and SES in contributing to the vulnerability assessment). This could become a graduate
-        or student project (see graduate\_proposal\_topography.doc).
+        or student project (see graduate\_proposal\_topography.doc). This is now a contract between NSW DNR and SES 
+        and University of Queensland (Tom Baldock).
   
   \item Scenario database (future); this could complement the ATWS
@@ -201,8 +204,10 @@
   \item Streamlined end-to-end process including production management of files (Nick + Hamish, Neil, Ole, Jane, Duncan)
   In addition to Nick's automatic log of scripts generating the data, also log username and ANUGA version if possible.
+  to be incorporated in final report as ANUGA metadata statement. Also see Production Processes.doc for tasks and activities
+  of each group.
  
   \item Map2PDF vs ArcReader (Neil, Lisa)
   \item Easy interface to building regions of variable resolution (Duncan)
-  \item Sydney demo (Jane, Duncan, Ole) - Ask 
+  \item Cairns demo (Jane, Ole)
   \item Deploy parallel version (Ole, Nick)
   \item Userguide, technical documentation and installation process (Everyone)
@@ -211,9 +216,10 @@
   \begin{itemize}
     \item Hand crafted using Houdini
-    \item Take Swollen-viewer further, e.g.\ by colour coding quantitios or applying contour plots
+    \item Take Swollen-viewer further, e.g.\ by colour coding quantities or applying contour plots
     \item ANU work on new visualisation techniques
   \end{itemize}
-  \item Automatic coastline buffering. 
+  \item Automatic coastline buffering - Nick/Neil - completed Nov 2006.
     \item Improve memory efficiency of mesh generator.
+    \item Investigate applying data points in a block fashion for fitting to the mesh.
 \end{enumerate}
 It is the hope that most of these priorities will be adressed before 30 June 2006.
@@ -261,6 +267,8 @@
   \item \textbf{Hamish Anderson}: Coordinate collection and supply of 
   topographic and bathymetric data.    
+  \item \textbf{Alex von Brandenstein}: Verify and deliver all data, 
+  including metadata.
   \item \textbf{Mike Sexton}: Bathymetric data specialist.        
-  \item \textbf{Kathryn Tobyn}: Bathymetric data specialist.      
+  \item \textbf{Kristy van Putten}: Bathymetric data specialist.      
 \end{enumerate}   
 
@@ -341,9 +349,7 @@
 \begin{itemize}
   \item \textbf{Duncan}: 4 days/week
-  \item \textbf{Jane}: Three weeks leave in the period 15 June 2006 to 15 July 2006
-    Ole to cover Jane's commitments.
-  \item \textbf{Nick}: Leave from 21 August 2006 to 13 October 2006
-    Duncan to cover off on the production line.
-  \item \textbf{Ole}: Leave for six weeks around August or September. 
+  \item \textbf{Jane}: 
+  \item \textbf{Nick}: 
+  \item \textbf{Ole}: Leave for six weeks around Feb/March 2007. 
     Jane to be acting team leader with Duncan responsible for
     software and maintenance issues. 
Index: /anuga_work/production/dampier_2006/export_results.py
===================================================================
--- /anuga_work/production/dampier_2006/export_results.py	(revision 4028)
+++ /anuga_work/production/dampier_2006/export_results.py	(revision 4029)
@@ -13,5 +13,5 @@
 print 'output dir:', name
 
-which_var = 2
+which_var = 1
 if which_var == 0:  # Stage
     outname = name + '_stage'
@@ -27,5 +27,5 @@
 
 if which_var == 3:  # Speed
-    outname = name + '_speed_i8'
+    outname = name + '_speed_all'
     #quantityname = '((xmomentum/(stage-elevation))**2 + (ymomentum/(stage-elevation))**2)**0.5'  #Speed
     quantityname = '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-30)'  #Speed
@@ -36,5 +36,5 @@
 
 if is_parallel == True:
-    for i in range(nodes):
+    for i in range(3,nodes):
         namei = name + '_P%d_%d' %(i,nodes)
         outnamei = outname + '_P%d_%d' %(i,nodes)
@@ -42,11 +42,11 @@
         sww2dem(namei, basename_out = outnamei,
                     quantity = quantityname,
-                    #timestep = 0,
+                    timestep = 0,
                     cellsize = 100,      
-                    easting_min = project.e_min_area,
-                    easting_max = project.e_max_area,
-                    northing_min = project.n_min_area,
-                    northing_max = project.n_max_area,        
-                    reduction = max, 
+                    #easting_min = project.e_min_area,
+                    #easting_max = project.e_max_area,
+                    #northing_min = project.n_min_area,
+                    #northing_max = project.n_max_area,        
+                    #reduction = max, 
                     verbose = True,
                     format = 'asc')
Index: /anuga_work/production/hobart_2006/make_report.py
===================================================================
--- /anuga_work/production/hobart_2006/make_report.py	(revision 4028)
+++ /anuga_work/production/hobart_2006/make_report.py	(revision 4029)
@@ -96,5 +96,5 @@
                                       production_dirs,
                                       report = True,
-                                      reportname = 'latexoutput_MRT',
+                                      reportname = 'latexoutput_231106',
                                       #reportname = 'latexoutput',
                                       plot_quantity = ['stage', 'speed'],
@@ -110,5 +110,5 @@
 # Future: generate_report(reportdir, scenario, report_title, 
 # project.gauge_filename, max_maps, damage_maps, production_dirs, latex_output)
-report_name = reportdir + scenario + '_report_MRT.tex'
+report_name = reportdir + scenario + '_report_mark.tex'
 fid = open(report_name, 'w')
 
Index: /anuga_work/production/hobart_2006/project.py
===================================================================
--- /anuga_work/production/hobart_2006/project.py	(revision 4028)
+++ /anuga_work/production/hobart_2006/project.py	(revision 4029)
@@ -79,6 +79,7 @@
 #gauge_filename = gaugedir + 'hobart_gauges_final.csv'
 #gauge_filename = gaugedir + 'hobartGauges20061019.csv'
-gauge_filename = gaugedir + 'gauges_MRT.csv'
-gauge_filename_bom = gaugedir + 'gauges_bruny_fine.csv'
+gauge_filename = gaugedir + 'riskAreas231106.csv'
+#gauge_filename = gaugedir + 'gauges_MRT.csv'
+#gauge_filename_bom = gaugedir + 'gauges_bruny_fine.csv'
 #gauge_filename = gaugedir + 'check_boundary.csv'
 